Bug 239234 - Review Request: arp-scan - Scanning and fingerprinting tool
Summary: Review Request: arp-scan - Scanning and fingerprinting tool
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-06 17:46 UTC by Sindre Pedersen Bjørdal
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-27 04:55:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Sindre Pedersen Bjørdal 2007-05-06 17:46:42 UTC
Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/arp-scan.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/green_nyc/arp-scan-1.6-1.fc7.src.rpm

Description:

arp-scan is a command-line tool that uses the ARP protocol to discover and
fingerprint IP hosts on the local network

Comment 1 Parag AN(पराग) 2007-05-09 11:52:24 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
eb24303c6eb4d77c3abf23511efce642  arp-scan-1.6.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text COPYING is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc files are present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Requires: /usr/bin/perl libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libpcap.so.0.9
perl(Getopt::Std) perl(LWP::Simple) perl(LWP::Simple) perl(strict)
perl(warnings) rtld(GNU_HASH)

APPROVED.


Comment 2 Sindre Pedersen Bjørdal 2007-05-09 12:23:54 UTC
New Package CVS Request
=======================
Package Name: arp-scan
Short Description: Scanning and fingerprinting tool
Owners: foolish@guezz.net
Branches: FC-5 FC-6 EL-4 EL-5
InitialCC: jaa@redhat.com

Comment 3 Sindre Pedersen Bjørdal 2007-05-23 15:06:07 UTC
Seems the F7 branch wasn't created during merge, please add it.

New Package CVS Request
=======================
Package Name: arp-scan
Short Description: Scanning and fingerprinting tool
Owners: foolish@guezz.net
Branches: FC-5 FC-6 EL-4 EL-5 F-7

Comment 4 Jens Petersen 2007-05-27 04:55:12 UTC
added F-7


Note You need to log in before you can comment on or make changes to this bug.